# Get public key Get a public key by its ID. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Bulk payment files", "description": "Bulk payment file endpoints" } ], "components": { "parameters": { "PublicKeyIdPath": { "name": "id", "in": "path", "description": "ID of the public key", "example": "b6cdccc4-f6bf-4218-9e5e-7fb8f66008e3", "schema": { "type": "string" }, "required": true } }, "schemas": { "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "GetPublicKeyResponse": { "description": "Get public key response object", "type": "object", "properties": { "id": { "$ref": "#/components/schemas/PublicKeyID" }, "key_material": { "$ref": "#/components/schemas/KeyMaterial" }, "expires_at": { "$ref": "#/components/schemas/PublicKeyExpiresAt" } } }, "KeyMaterial": { "type": "string", "description": "Public-key encoded in DER and base64 formats", "example": "MIIBojANBgkqhkiG9w0BAQEFAAOCAY8AMIIBigKCAYEAsdRPlk9sW4I79X8hDarn82E9/6AZmEpHrG/IAdUkpaHHsQdvELnFySTAWtw5dNPIdBrYyn1jA6+Cf1dKuTjYxqt+TufMVsBbEbRobXHQezu8JajkkCgW9mzVweVP5qVpUFiryH3jHr3sPD8P8nDuKEzVe8Q83mmSt2YKyg95vkHl6iIrbM11whdZS5jy5VzV++P5BLTVvpPbrDFK/OStxStO7JjI0Lhz8zXqIDhopkOHtP9Ai/gFtdKZB3BefYFHTJFNifzyu8CGAZ00wLVfx61eRCi2cFBsW0HngTT+fLoELyvyxfpKmgkV+3eCMr8CkyEIxEpWNCxkOBxGk5LKMUHMka6YfurS0jXKNGi93wKJX3N1h93sPw4QHtRvqTm07zj8S9drSN6qa8B1u6kltWB+FckdOAqDWt2HBme0cy61xWK2REqXUPqywSrN1w2HitCoJOORUjf5zwUyzoGFMHjW9r7eChr8wsidu34DsMQNf6Lu9OzER2kCbhZlRMKZAgMBAAE=" }, "PublicKeyExpiresAt": { "type": "string", "description": "Expiration date and time of the public key. If not provided, it is set to 6 months from the date of submission.", "example": "2025-05-21T12:27:00Z" }, "PublicKeyID": { "type": "string", "description": "ID of the public key. Only digits, letters, hyphens, and underscores are allowed, and cannot exceed 60 characters.", "maximum": 60, "example": "b6cdccc4-f6bf-4218-9e5e-7fb8f66008e3" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "The request has been lost" }, "500InternalServer": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Generic internal error": { "value": { "code": "ECMN9999", "message": "Internal error" } } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v1/bulk-payments/keys/{id}": { "get": { "summary": "Get public key", "operationId": "get-bulk-keys", "description": "Get a public key by its ID.", "parameters": [ { "$ref": "#/components/parameters/PublicKeyIdPath" } ], "tags": [ "Bulk payment files" ], "responses": { "200": { "description": "Get public key response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetPublicKeyResponse" }, "examples": { "Division response": { "value": { "id": "b6cdccc4-f6bf-4218-9e5e-7fb8f66008e3", "key_material": "MIIBojANBgkqhkiG9w0BAQEFAAOCAY8AMIIBigKCAYEAsdRPlk9sW4I79X8hDarn82E9/6AZmEpHrG/IAdUkpaHHsQdvELnFySTAWtw5dNPIdBrYyn1jA6+Cf1dKuTjYxqt+TufMVsBbEbRobXHQezu8JajkkCgW9mzVweVP5qVpUFiryH3jHr3sPD8P8nDuKEzVe8Q83mmSt2YKyg95vkHl6iIrbM11whdZS5jy5VzV++P5BLTVvpPbrDFK/OStxStO7JjI0Lhz8zXqIDhopkOHtP9Ai/gFtdKZB3BefYFHTJFNifzyu8CGAZ00wLVfx61eRCi2cFBsW0HngTT+fLoELyvyxfpKmgkV+3eCMr8CkyEIxEpWNCxkOBxGk5LKMUHMka6YfurS0jXKNGi93wKJX3N1h93sPw4QHtRvqTm07zj8S9drSN6qa8B1u6kltWB+FckdOAqDWt2HBme0cy61xWK2REqXUPqywSrN1w2HitCoJOORUjf5zwUyzoGFMHjW9r7eChr8wsidu34DsMQNf6Lu9OzER2kCbhZlRMKZAgMBAAE=", "expires_at": "2025-05-21T12:27:00Z" } } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "404": { "description": "Not Found" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```